Is my OmniSport Pro software and my OmniSport 2000 console compatible?

Question

  • How to determine OmniSport Pro and OmniSport 2000 compatibility?
  • How to determine what version of OmniSport 2000 firmware works with which version of OmniSport Pro software?

Environment

  • OmniSport 2000 timer
  • OmniSport Pro software

Answer/Steps

  1. OmniSport 2000 firmware 9.4.6 or higher is required for use with:
    1. Pro Swim 1.2.1 or higher
    2. Pro Dive 2.0.0 or higher

KB ID: DD2715777


Fill out my online form.
DISCLAIMER: Use of this content may void the equipment warranty, please read this DISCLAIMER prior to performing any service of the equipment.